<?php

use App\Helpers\Indicators;

const INPUT_DATA = [
    '2010-3-24' => 22.27,
    '2010-3-25' => 22.19,
    '2010-3-26' => 22.08,
    '2010-3-29' => 22.17,
    '2010-3-30' => 22.18,
    '2010-3-31' => 22.13,
    '2010-4-1' => 22.23,
    '2010-4-5' => 22.43,
    '2010-4-6' => 22.24,
    '2010-4-7' => 22.29,
    '2010-4-8' => 22.15,
    '2010-4-9' => 22.39,
    '2010-4-12' => 22.38,
    '2010-4-13' => 22.61,
    '2010-4-14' => 23.36,
    '2010-4-15' => 24.05,
    '2010-4-16' => 23.75,
    '2010-4-19' => 23.83,
    '2010-4-20' => 23.95,
    '2010-4-21' => 23.63,
    '2010-4-22' => 23.82,
    '2010-4-23' => 23.87,
    '2010-4-26' => 23.65,
    '2010-4-27' => 23.19,
    '2010-4-28' => 23.10,
    '2010-4-29' => 23.33,
    '2010-4-30' => 22.68,
    '2010-5-3' => 23.10,
    '2010-5-4' => 22.40,
    '2010-5-5' => 22.17
];

// Returned RSI
$payload = Indicators::RSI(INPUT_DATA);

// RSI example
//
//[
//    '2010-3-24' => 50,
//    '2010-3-25' => 50,
//    '2010-3-26' => 50,
//    '2010-3-29' => 32.157,
//    '2010-3-30' => 34.469,
//    '2010-3-31' => 29.428,
//    '2010-4-1' => 45.445,
//    '2010-4-5' => 62.505,
//    '2010-4-6' => 48.187,
//    '2010-4-7' => 51.148,
//    '2010-4-8' => 44.103,
//    '2010-4-9' => 54.772,
//    '2010-4-12' => 54.338,
//    '2010-4-13' => 61.33,
//    '2010-4-14' => 74.22,
//    '2010-4-15' => 82.517,
//    '2010-4-16' => 77.376,
//    '2010-4-19' => 77.304,
//    '2010-4-20' => 78.094,
//    '2010-4-21' => 71.934,
//    '2010-4-22' => 72.648,
//    '2010-4-23' => 71.429,
//    '2010-4-26' => 70.794,
//    '2010-4-27' => 61.847,
//    '2010-4-28' => 62.673,
//    '2010-4-29' => 62.561,
//    '2010-4-30' => 53.423,
//    '2010-5-3' => 55.357,
//    '2010-5-4' => 39.394,
//    '2010-5-5' => 26.847,
//];